/* Général */

[hidden] {
    /* on répare les conneries de Bootstrap */
    display: none !important;
}

body {
    font-family: "IBM Plex Sans", "Arial", sans-serif;
    font-variant-numeric: tabular-nums;
    font-size: 15px;
}

h2, h3 {
    font-weight: 400;
}

th, b, strong, label, dt, .text-bold, .qst-sujet {
    font-weight: 500;
}

h3 {
    color: #048b9a!important;
}

.c-m-c {
    float: none;
    margin-left: auto;
    margin-right: auto;
}

.p-15 {
    padding: 15px;
}

/* Header */

.navbar-header {
    width: 100%;
    text-align: center;
}

.hestia-logo {
    display: inline-block !important;
    max-width: 40vw;
}

nav.navbar-static-top {
    background-image: url('../img/2.png');
    background-size: cover;
    background-position: center;
}

nav.navbar-static-top .nav-tabs {
    border-bottom: none;
}

.navbar-brand {
    float: none;
}

/* Menu */

#menu .nav-pills li a {
    color: #333333;
}

#menu .panel-title a {
    width: 100%;
    display: inline-block;
    background-image: url("../img/dropdown.png");
    background-repeat: no-repeat;
    background-attachment: scroll;
    background-clip: border-box;
    background-origin: padding-box;
    background-position-x: right;
    background-position-y: center;
    background-size: 20px auto;
}

#menu .panel-title a[aria-expanded="true"] {
    background-image: url("../img/dropdown-open.png");
}

/* Contenu */

#content {
    margin-bottom: 32px;
}

/* Formulaires */

form input:-webkit-autofill, textarea:-webkit-autofill, select:-webkit-autofill {
    background-color: #ffffff59!important;
    background-image: none;
    color: rgb(0, 0, 0);
}

.form-inline .help-block, .form-inline ul, .form-inline li {
    display: inline;
}

.col-sm-10 .form-group input[type="file"] {
    padding-left: 15px;
}

.dropzone {
    margin-bottom: 3rem;
}

/* Accueil / Blog */

.taille-10 {
    font-size: 10px;
}

.width-100 img {
    width: 100%;
}

.panel-heading-title {
    margin-top: 10px;
}

.blog-image-header img {
    width: 100%;
    margin-bottom: 20px;
    height: 150px;
    object-fit: cover;
    overflow: hidden;
    cursor: zoom-in;
}

/* Accueil gestionnaire */

.list-group-item.bg-info {
    color: #31708f;
    background-color: #d9edf7;
    border-color: #bce8f1;
}

/* Calendrier des absences */

.calendar-pending {
    background-color: #ffa500;
}

.calendar-pending.calendar-active {
    background-color: #f59f00;
}

.calendar-pending.calendar-half-left {
    background-image: linear-gradient(135deg, #ffa500 48%, white 52%);
}

.calendar-pending.calendar-half-right {
    background-image: linear-gradient(135deg, white 48%, #ffa500 52%);
}

.calendar-pending.calendar-half-left.calendar-active {
    background-image: linear-gradient(135deg, #f59f00 48%, #f5f5f5 52%);
}

.calendar-pending.calendar-half-right.calendar-active {
    background-image: linear-gradient(135deg, #f5f5f5 48%, #f59f00 52%);
}

.calendar-accepted {
    background-color: green;
}

.calendar-accepted.calendar-active {
    background-color: #007b00;
}

.calendar-accepted.calendar-half-left {
    background-image: linear-gradient(135deg, green 48%, white 52%);
}

.calendar-accepted.calendar-half-right {
    background-image: linear-gradient(135deg, white 48%, green 52%);
}

.calendar-accepted.calendar-half-left.calendar-active {
    background-image: linear-gradient(135deg, #007b00 48%, #f5f5f5 52%);
}

.calendar-accepted.calendar-half-right.calendar-active {
    background-image: linear-gradient(135deg, #f5f5f5 48%, #007b00 52%);
}

.calendar-telework {
    background-color: lightgreen;
}

.calendar-telework.calendar-active {
    background-color: #64e764;
}

.calendar-telework.calendar-half-left {
    background-image: linear-gradient(135deg, lightgreen 48%, white 52%);
}

.calendar-telework.calendar-half-right {
    background-image: linear-gradient(135deg, white 48%, lightgreen 52%);
}

.calendar-telework.calendar-half-left.calendar-active {
    background-image: linear-gradient(135deg, #64e764 48%, #f5f5f5 52%);
}

.calendar-telework.calendar-half-right.calendar-active {
    background-image: linear-gradient(135deg, #f5f5f5 48%, #64e764 52%);
}

.calendar-holiday {
    background-color: #dcdcdc;
}

.absence-calendar td {
    text-align: center;
}

.absence-calendar td img {
    vertical-align: baseline;
}

/* Questions */

.commentaires .panel {
    width: 80%;
    margin-left: auto;
}

.commentaires .panel.gestionnaire {
    margin-left: 0;
}

.commentaires.view-as-gestionnaire .panel {
    margin-left: 0;
}

.commentaires.view-as-gestionnaire .panel.gestionnaire {
    margin-left: auto;
}

.commentaires .panel-heading {
    background-color: #d9edf7;
}

.commentaires.view-as-gestionnaire .panel.gestionnaire .panel-heading,
.commentaires.view-as-user .panel.user .panel-heading {
    background-color: #fcf8e3;
}

.qst-sujet {
    font-size: larger;
}

/* Divers */

h2.content-title {
    margin-top: 0;
}

.center-text img {
    text-align: center;
}

.marg {
    margin-top: 10vh;
    margin-bottom: 10vh;
}

.avatar {
    border-radius: 50%;
}

.user-hidden, .user-unactive {
    font-style: italic;
    filter: opacity(0.6);
}

.user-unactive {
    text-decoration: line-through;
}
